security::IpFw_2_0_0 Struct Reference

IP packet filter configuration. More...

`import"Security.idl";`

## Public Attributes

boolean | enabled
| `true` to enable packet filtering
IpfwPolicy | defaultPolicyIn
| The default policy for inbound traffic in case no rule matches.
IpfwPolicy | defaultPolicyOut
| The default policy for outbound traffic in case no rule matches.
vector< IpfwRule > | ruleSetIn
| Ordered list of inbound firewall rules.
vector< IpfwRule > | ruleSetOut
| Ordered list of outbound firewall rules.

## Detailed Description

IP packet filter configuration.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Security.idl